/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* This is an example of the function wcslen(const wchar_t*).  This
   returns the length of the string.
*/
#include <wchar.h>
#include <stdlib.h>

int main() { 
    char *line;
    wchar_t str1[100];        
    size_t retval;
    int len;

    line = "hello";
    len = strlen(line);
    mbstowcs(str1, line, len);
    retval = wcslen(str1);
    printf("Number of characters in str1:  %d\n", retval);
}

